# Method: customers.telemetry.notificationConfigs.list

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#body.ListTelemetryNotificationConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs/list#try-it)

List all telemetry notification configs.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/telemetry/notificationConfigs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent which owns the notification configs. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of notification configs to return. The service may return fewer than this value. If unspecified, at most 100 notification configs will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` A page token, received from a previous `notificationConfigs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `notificationConfigs.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for listing notification configs for a customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "telemetryNotificationConfigs": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs#TelemetryNotificationConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `telemetryNotificationConfigs[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.notificationConfigs#TelemetryNotificationConfig`)`` The telemetry notification configs from the specified customer. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.telemetry.readonly`